import { Action } from "actionhero";
declare abstract class ResqueAction extends Action {
    constructor();
}
export declare class ResqueRedisInfo extends ResqueAction {
    constructor();
    run(): Promise<{
        redisInfo: string[];
    }>;
}
export declare class ResqueResqueDetails extends ResqueAction {
    constructor();
    run(): Promise<{
        resqueDetails: {
            queues: {
                [key: string]: any;
            };
            workers: {
                [key: string]: any;
            };
            stats: {
                [key: string]: any;
            };
            leader: string;
        };
    }>;
}
export declare class ResqueLoadWorkerQueues extends ResqueAction {
    constructor();
    run(): Promise<{
        workerQueues: {
            [key: string]: string;
        };
    }>;
}
export declare class ResqueForceCleanWorker extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        generatedErrorPayload: import("node-resque").ErrorPayload;
    }>;
}
export declare class ResqueFailedCount extends ResqueAction {
    constructor();
    run(): Promise<{
        failedCount: number;
    }>;
}
export declare class ResqueQueued extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        queueLength: number;
        jobs: import("actionhero/dist/classes/task").TaskInputs[];
    }>;
}
export declare class ResqueDelQueue extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        deleted: void;
    }>;
}
export declare class ResqueResqueFailed extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        failed: import("node-resque").ParsedFailedJobPayload[];
    }>;
}
export declare class ResqueRemoveFailed extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        removed: number;
    }>;
}
export declare class ResqueRemoveAllFailed extends ResqueAction {
    constructor();
    run(): Promise<{
        removed: number;
    }>;
}
export declare class ResqueRetryAndRemoveFailed extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        retried: Promise<boolean>;
    }>;
}
export declare class ResqueRetryAndRemoveAllFailed extends ResqueAction {
    constructor();
    run(): Promise<{
        retried: number;
    }>;
}
export declare class ResqueLocks extends ResqueAction {
    constructor();
    run(): Promise<{
        locks: {
            [key: string]: string;
        };
    }>;
}
export declare class ResqueDelLock extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        count: number;
    }>;
}
export declare class ResqueDelayedJobs extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        delayedjobs: {};
        timestampsCount: number;
    }>;
}
export declare class ResqueDelDelayed extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<{
        timestamps: number[];
    }>;
}
export declare class ResqueRunDelayed extends ResqueAction {
    constructor();
    run({ params }: {
        params: any;
    }): Promise<void>;
}
export {};
